ChangeEipInternetChargeType

1. API Description

This API (ChangeEipInternetChargeType) is used to change the network billing method of an elastic IP.

circle-info

Note

Changing from Data Transfer to Regional Aggregated Burstable 95th is supported currently.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

eipId

Yes

String

ID of the elastic IP.

internetChargeType

Yes

Network billing methods.

clusterId

No

String

Bandwidth cluster ID.

Must be specified if changing to bandwidth cluster billing.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

orderNumber

String

Order No.

4. Code Example

Change the network billing method of an elastic IP.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ChangeEipInternetChargeType


Request:
{
  "eipId": "xxx",
  "internetChargeType": "ByTrafficPackage"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "orderNumber": "xxx"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_EIP_NOT_FOUND

Elastic IP does not exist.

400

OPERATION_DENIED_EIP_IN_RISK_CONTROL

This operation is not supported for elastic IPs under risk control.

500

OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT

Operation is not supported for the elastic IP in current status.

400

OPERATION_DENIED_EIP_UNSUPPORT_INTERNET_CHARGE_TYPE

Unsupported network billing model.

Last updated